Member Junction
    Preparing search index...

    Describes a single query parameter that a component will use when running a query.

    type ComponentQueryParameterValue = {
        description?: string;
        isRequired: boolean;
        name: string;
        sampleValue?: string;
        testValue?: string;
        type?: string;
        value?: string;
    }
    Index

    Properties

    description?: string

    Description of the parameter and how it is used in the query. This is important for helping the component developer understand what the parameter is for and how to determine its value.

    isRequired: boolean

    Whether this parameter must be provided when executing the query.

    name: string

    Name of the parameter

    sampleValue?: string

    Example value demonstrating the proper format for this parameter. Preferred over testValue for component generation as it aligns with SkipQueryParamInfo.SampleValue naming.

    testValue?: string

    When specifying '@runtime' for the value, populate this field with a value that can be used to test the query to validate it runs. It doesn't need to be a value that is valid in the sense of being in the database, but is of the right type. For example if the parameter is a number, date or string, include a test value of that type. Note if the parameter is for a UNIQUEIDENTIFIER column type make sure to use a valid UUID format otherwise the query will FAIL.

    type?: string

    Data type of the parameter (e.g., 'string', 'int', 'uniqueidentifier', 'datetime', 'decimal'). This helps the component generator understand how to properly format and pass the parameter value.

    value?: string

    Value of the parameter. If the value is '@runtime', it indicates that the component will determine the value at runtime. If anything other than '@runtime' is specified, it is a hardcoded value that the component will use.